### Method

# Ide Buffer get_language_id

#### Declaration

    const gchar*
    ide_buffer_get_language_id (
      IdeBuffer* self
    )

#### Description

A helper to get the language identifier of the buffers current language.

Available since: | 3.32

Gets property | `Ide.Buffer:language-id`

#### Return value

Returns: | `const gchar*`
| A string containing the language id, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.